Add new Evals dataset items
curl --request POST \
--url https://api.example.com/v3/evals/datasets/{dataset_id}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": {
"question": "What is the capital of France?",
"context": [
"Paris is the capital."
]
},
"expected_outputs": {
"answer": "Paris",
"rationale": "Common knowledge."
},
"metadata": {
"reviewer": "Alice",
"status": "approved"
},
"extras": {},
"source_name": "<string>",
"source_id": "<string>"
}
]
}
'import requests
url = "https://api.example.com/v3/evals/datasets/{dataset_id}/items"
payload = { "items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": {
"question": "What is the capital of France?",
"context": ["Paris is the capital."]
},
"expected_outputs": {
"answer": "Paris",
"rationale": "Common knowledge."
},
"metadata": {
"reviewer": "Alice",
"status": "approved"
},
"extras": {},
"source_name": "<string>",
"source_id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
inputs: {question: 'What is the capital of France?', context: ['Paris is the capital.']},
expected_outputs: {answer: 'Paris', rationale: 'Common knowledge.'},
metadata: {reviewer: 'Alice', status: 'approved'},
extras: {},
source_name: '<string>',
source_id: '<string>'
}
]
})
};
fetch('https://api.example.com/v3/evals/datasets/{dataset_id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"<string>"
]{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Evals
Add new Evals dataset items
POST
/
v3
/
evals
/
datasets
/
{dataset_id}
/
items
Add new Evals dataset items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Dataset UUID
Body
application/json
Request body to create a new dataset items
Show child attributes
Show child attributes
Response
Evals dataset items added successfully.
⌘I